/* ====================================================================
 * Copyright (c) 2008       Martin Hauner
 *                          http://subcommander.tigris.org
 *
 * Subcommander is licensed as described in the file doc/COPYING, which
 * you should have received as part of this distribution.
 * ====================================================================
 */

#ifndef _WCVIEWMODELMOVE_TEST_H
#define _WCVIEWMODELMOVE_TEST_H

// cppunit
#include <cppunit/TestFixture.h>
#include <cppunit/extensions/HelperMacros.h>

// sc
class ConfigManager;
class WcViewModel;


class WcViewModelMoveTest : public CppUnit::TestCase 
{
  CPPUNIT_TEST_SUITE( WcViewModelMoveTest );
  CPPUNIT_TEST( moveMultipleItems );
  CPPUNIT_TEST_SUITE_END(); 

public:
  void setUp();
  void tearDown();

  // Tests
  void moveMultipleItems();

private:
  WcViewModel* _viewModel;

  // dependencies
  class TestWcStatus;
  class TestScModel;

  TestScModel*   _sc;
  ConfigManager* _cm;
};

#endif // _WCVIEWMODELMOVE_TEST_H
